VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::system::Uptime Interface Reference

`Uptime` interface provides methods Get the system uptime. More...

Inherited by vmware::appliance::system::UptimeStub.

List of all members.

## Public Member Functions
double | Get ()
| Get the system uptime.
double | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get the system uptime.
global::System.Threading.Tasks.Task < double > | GetAsync ()
| Get the system uptime.
global::System.Threading.Tasks.Task < double > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get the system uptime.

## Detailed Description

`Uptime` interface provides methods Get the system uptime.

## Member Function Documentation

double vmware::appliance::system::Uptime::Get | ( |  | ) |

Get the system uptime.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  system uptime

Implemented in vmware::appliance::system::UptimeStub.

double vmware::appliance::system::Uptime::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get the system uptime.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  system uptime

Implemented in vmware::appliance::system::UptimeStub.

global::System.Threading.Tasks.Task<double> vmware::appliance::system::Uptime::GetAsync | ( |  | ) |

Get the system uptime.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  system uptime

Implemented in vmware::appliance::system::UptimeStub.

global::System.Threading.Tasks.Task<double> vmware::appliance::system::Uptime::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get the system uptime.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  system uptime

Implemented in vmware::appliance::system::UptimeStub.

The documentation for this interface was generated from the following file:

- Uptime.cs